setInfos(1, "Intro (de)", "Main introduction / first script, in german", 
		"Doti, Banjo", "complete", 0xFFEEEE, "de", []);
if(!loadString("intro.likemale")) {
	setImage("knocker.jpg");
	show("Herzlich Willkommen");
	wait(2);
	setImage(null);
	show("Disclamer : authors of this tool and scripts will not be liable of any respnsibility "+
		"in the use of this tool in any way. Using it imply accepting these conditions.\n"+
		"There are no warranties of any kind, whether expressed or implied, including, but not "+
		"limited to the implied warranties or merchantability, fitness for a particular purpose "+
		"or non-infringement.\n\n"+
		"Texts, images, pictures, sounds and other resources belongs to their respective owners.\n\n"+
		"Warning: Using this tool may involve techniques and practices that might be dangerous or hazardous to your health. \n"+
		"USE AT YOUR OWN RISK.");
	waitWithGauge(10);
	if(!getBoolean("Ich habe verstanden, ich stimme zu und ich bin 18 Jahre alt oder älter."))
		exit();
	setImage("knocker.jpg");
	show("Vor allem anderen, konfigurieren Sie dieses Tool zu zwischen Ihnen und mir. Wir werden mit ein paar Fragen beginnen.");
	wait(6);
	def name = getString("Wie ist dein Name, hier?", "Sklave");
	save("intro.name", name);
	def woman = getBoolean("Bist du eine Frau?");
	save("intro.female", woman);
	def likefemale = getBoolean("Fühlen Sie sich zu Frauen hingezogen?");
	save("intro.likefemale", likefemale);
	def likemale = true;
	if(likefemale)
		likemale = getBoolean("Fühlen Sie sich zu Männern hingezogen?");
	save("intro.likemale", likemale);
	save("intro.start_script", "intro");
	if(getBoolean("Glauben Sie, dass sich Ihre Internet-Verbindung hinter einem Proxy befindet?")) {
		def noProxyStr = "finally.no.proxy"
		def proxyHost = getString("Wie lautet der Host Ihres Proxy?",noProxyStr)
		if(proxyHost!=noProxyStr) {
			save("properties.http.proxyHost", proxyHost)
			save("properties.http.proxyPort", 
				getString("Wie lautet der Port Ihres Proxy?","8888"))
			noProxyStr = "no.user"
			def proxyUser = getString("Wie lautet der Benutzer Ihres Proxy?",noProxyStr)
			if(proxyUser!=noProxyStr) {			
				save("properties.http.proxyUser",proxyUser)
				save("properties.http.proxyPassword", 
						getString("Wie lautet das Password Ihres Proxy?","1234"))
			}
		}		
		show("gespeichert")
		wait(2)
	}	
	show("Sie sollten nun die Kleidung und Spielzeuge angeben die Sie besitzen.\n\n"+
			"Sie können danach die Menüs oben verwenden um die Skripte zuladen, so bleiben Sie in Kontakt mit mir oder meinen Freunden.");
	wait(2);
	save("intro.running", true);
	if(!["de","en","es","fr","it","nl"].contains(Locale.getDefault().getLanguage()) && 
			getBoolean("Überprüfen Schrift-Konfiguration?"))
		return "fontconfiguration";
	if(getBoolean("Konfigurieren der Spielzeug Optionen?"))		
		return "toys";
	if(getBoolean("Konfigurieren der Frauen Kleidung Optionen?"))
		return "womensclothes";
	if(getBoolean("Konfigurieren der Herren Kleidung Optionen?"))
		return "mensclothes";
	show("Einführung beendet, Sie können nun öber das Menü ein Skript starten (im Lieferumfang enthalten oder unter https://ss.deviatenow.com herunterladen)")
	save("intro.running", null);
} else {
	if(loadBoolean("intro.likefemale"))
		if(loadBoolean("intro.likemale"))
			if(getRandom(2)==0)
				setImage("default-female.jpg");
			else
				setImage("default-male.jpg");
		else
			setImage("default-female.jpg");
	else
		setImage("default-male.jpg");
	if(loadInteger("intro.launch.nb")<3)
		show("Hallo, "+loadString("intro.name")+"\n\n"+
			"Verwenden Sie das Menü und laden Sie ein Skript.\n\n"+
			"Denken Sie daran, Sie können Skripte ändern und sogar selber Skripte erstellen; Du findest Hilfe auf https://ss.deviatenow.com");
	else
		show("Hallo, "+loadString("intro.name"));
}

// This script, from https://ss.deviatenow.com, is protected by this licence :
// CC-by-NC, see http://creativecommons.org/licenses/by-nc/3.0/

/*
 * Resources
 * scripts/intro_de.groovy
 * images/default-female.jpg
 */